Bug 1955994 - modules/database/mysql missing mysql_query.py
Summary: modules/database/mysql missing mysql_query.py
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ansible-collection-community-mysql
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-02 01:32 UTC by John Himpel
Modified: 2021-05-12 05:42 UTC (History)
1 user (show)

Fixed In Version: ansible-collection-community-mysql-2.1.0-1.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-12 05:42:38 UTC
Type: Bug


Attachments (Terms of Use)

Description John Himpel 2021-05-02 01:32:38 UTC
Description of problem: The ansible repo for community.mysql contains mysql_query.py.  That file seems to be missing from the ansible-collection-community-general rpm.


Version-Release number of selected component (if applicable): 2.0.0-1.fc34


How reproducible: Fails every time


Steps to Reproduce:
1. Install ansible and ansible-collection-community-general rpms
2. Create an ansible task calling community.mysql.mysql_query module

3.

Actual results:
ERROR! couldn't resolve module/action 'community.mysql.mysql_query'. This often indicates a misspelling, missing collection, or incorrect module path.

Expected results: Execution of ansible task


Additional info:

Comment 1 Orion Poplawski 2021-05-02 18:19:00 UTC
I have no idea what components you are referring to.  The ansible-collection-community-mysql package (which you have filed a bug against) is not available for F34, and it at version 1.3.0 not "2.0.0", so how exactly did you install it?  Also, what is the output of:

rpm -qa ansible\*
rpm -Va ansible\*
dnf list ansible-collection-community-general

Comment 2 John Himpel 2021-05-03 01:46:21 UTC
When I could not find community.mysql.mysql_query, I began downloading from koji and from ansible-galaxy.  That completely polluted my system.  Sorry for the confusion.   So just now, I spun up a new F34 VM and installed:
1) ansible-2.9.18-1.fc34.noarch
2) ansible-collection-community-general-2.0.0-1.fc34.noarch
3) ansible-collection-ansible-posix-1.1.1-3.fc34.noarch (necessary to run my playbook)

My playbook cannot find community.mysql.mysql_query.
This module is documented at: https://docs.ansible.com/ansible/latest/collections/community/mysql/mysql_query_module.html

rpm -qa ansible\*
ansible-2.9.18-1.fc34.noarch
ansible-collection-ansible-posix-1.1.1-3.fc34.noarch
ansible-collection-community-general-2.0.0-1.fc34.noarch

rpm -Va ansible\*
(no output)

dnf list ansible-collection-community-general
ansible-collection-community-general.noarch                                        2.0.0-1.fc34                                         @fedora

Comment 3 Orion Poplawski 2021-05-03 02:27:06 UTC
Okay, I'll start work on getting ansible-collection-community-mysql available for F34.

Comment 4 John Himpel 2021-05-03 10:50:31 UTC
Thank you.  Very greatly appreciated.

Comment 5 Fedora Update System 2021-05-04 03:55:57 UTC
FEDORA-2021-ac585ad593 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-ac585ad593

Comment 6 Fedora Update System 2021-05-05 01:49:53 UTC
FEDORA-2021-ac585ad593 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-ac585ad593 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-ac585ad593

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-05-12 05:42:38 UTC
FEDORA-2021-ac585ad593 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.